"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.treeToJSON = void 0;
const reactTestSymbol = Symbol.for("react.test.json");
function normalizeMixedArray(src) {
    return Array.isArray(src) ? src : [src];
}
function normalizeType(type) {
    if (typeof type === "string")
        return type;
    return type.displayName || type.name || "Component";
}
function treeToJSON(tree) {
    if (!tree || typeof tree === "string")
        return tree;
    const props = Object.assign({}, tree.props);
    delete props.children;
    const type = normalizeType(tree.type);
    const children = tree.rendered === null
        ? null
        : normalizeMixedArray(tree.rendered).map((r) => treeToJSON(r));
    return {
        $$typeof: reactTestSymbol,
        children,
        props,
        type,
    };
}
exports.treeToJSON = treeToJSON;
